The Delete subscription method is used to initiate the process of deleting a subscription for the current reseller or any of its downstream resellers.
The period when deleting a subscription can be available is defined by the Deletion period of subscription by manager (days) setting in the linked service term (see Creating a service term).
POST {{base_url}}/api/v3/resellers/{{reseller_id}}/subscriptions/{{subscription_id}}/delete_operation
Authentication
This endpoint requires a JWT access token. Specify the token in the Authorization header using the Bearer authentication scheme:
Authorization: Bearer <JWT_ACCESS_TOKEN>
In Postman, select Bearer Token on the Authorization tab and enter the JWT access token.
Arguments
|
Name |
Parameter Type |
Data type |
Required/Optional |
Description |
|---|---|---|---|---|
|
Content-Type |
header |
string |
Required |
Media type of the request. Specify the following: application/vnd.api+json |
|
Accept |
header |
string |
Required |
Supported media types of the answer. Specify the following: application/vnd.api+json |
|
base_url |
path |
string |
Required |
ActivePlatform URL |
|
reseller_id |
path |
integer |
Required |
ID of the current reseller or any of its downstream resellers (see Viewing and updating reseller general information) |
|
subscription_id |
path |
integer |
Required |
ID of the subscription |
Response model
If no errors are encountered, the method returns the empty response with the 200 OK status.
Errors
|
Status |
Error text |
Comment |
|---|---|---|
|
403 |
This action is forbidden |
Check the list of available operations for the subscription (see Get subscription) |
Request example
POST /api/v3/resellers/1/subscriptions/3007255/delete_operation
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
Authorization: Bearer <JWT_ACCESS_TOKEN>
Accept: application/vnd.api+json